%define upstream_name    Text-Aligner
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Text::Aligner Perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Term::ANSIColor) >= 2.20.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Text::Aligner exports a single function, align(), which is used to justify
strings to various alignment styles. The alignment specification is the
first argument, followed by any number of scalars which are subject to
alignment.

The operation depends on context. In list context, a list of the justified
scalars is returned. In scalar context, the justified arguments are joined
into a single string with newlines appended. The original arguments remain
unchanged. In void context, in-place justification is attempted. In this
case, all arguments must be lvalues.

Align() also does one level of scalar dereferencing. That is, whenever one
of the arguments is a scalar reference, the scalar pointed to is aligned
instead. Other references are simply stringified. An undefined argument is
interpreted as an empty string without complaint.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri May 01 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1577324
- update to 0.16

* Wed Apr 29 2020 tv <tv> 0.150.0-1.mga8
+ Revision: 1573080
- update to 0.15

* Sat Feb 15 2020 umeabot <umeabot> 0.130.0-4.mga8
+ Revision: 1523824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.130.0-3.mga7
+ Revision: 1374834
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-2.mga7
+ Revision: 1272024
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.130.0-1.mga6
+ Revision: 1010805
- update to 0.13

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 965620
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 836337
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 741773
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.100.0-3.mga5
+ Revision: 736048
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 686594
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.100.0-1.mga5
+ Revision: 588728
- update to 0.10

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 539105
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 491440
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 373987
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 28840
- mageia rebuild
- imported package perl-Text-Aligner

